import { WebSocket } from 'ws';

export const main = () => {
  // https://192.168.31.39:16000/tts
  const url = 'https://192.168.31.39:16000/tts';
  // const wss
  const ws = new WebSocket('wss://192.168.31.39:16000/tts', {
    rejectUnauthorized: false, // 禁用证书验证
  });

  ws.on('open', () => {
    console.log('WebSocket connection opened');
  });

  ws.on('message', (data) => {
    console.log(`Received message: ${data}`);
  });

  ws.on('close', () => {
    console.log('WebSocket test connection closed');
  });

  ws.on('error', (error) => {
    console.error(`WebSocket error: ${error}`);
  });
};
main();
