import { App } from '@kevisual/router';
import { HttpsPem } from '@/module/assistant/https/sign.ts';
import { assistantConfig } from '@/config.ts';
export { assistantConfig };
const httpsPem = new HttpsPem(assistantConfig);
export const app = new App({
  serverOptions: {
    path: '/client/router',
    httpType: 'https',
    httpsCert: httpsPem.cert,
    httpsKey: httpsPem.key,
  },
});
